# Dependencies & integrations

{% hint style="success" %}
**Beginner friendly**

You don't need to be an experienced developer to use this resource, however to get the most out of it, basic knowledge of lua and scripts configuration is very useful.
{% endhint %}

## Dependencies (mandatory)

One of supported frameworks

{% hint style="info" %}
*"<mark style="color:green;">Recommended version</mark>" only tells you what version of the resource has been tested, other versions (including older ones) will likely work as well.*
{% endhint %}

|                            Framework                            |                                                         Recommended version                                                        |
| :-------------------------------------------------------------: | :--------------------------------------------------------------------------------------------------------------------------------: |
|         [ESX](https://github.com/esx-framework/esx_core)        |                                                           1.6.0 or newer                                                           |
| [QBCore](https://github.com/qbcore-framework/qb-core/tree/main) |                                                           1.2.6 or newer                                                           |
|         [QBox](https://github.com/Qbox-project/qbx_core)        |                                                           1.22.3 or newer                                                          |
|   [ox\_core](https://github.com/overextended/ox_core/releases)  |                                                           1.2.2 or newer                                                           |
|                              custom                             | You can add a custom framework integration or ask us to do it for you. We do not guarantee compatibility with any custom framework |

{% hint style="warning" %}
If you want to use another framework, you can ask us to provide support for it or you can add it yourself using our bridge module if you know what you're doing.
{% endhint %}

## Integrations (optional)

{% hint style="info" %}
*"<mark style="color:green;">Recommended version</mark>" only tells you what version of the resource has been tested, other versions (including older ones) will likely work as well.*
{% endhint %}

<table><thead><tr><th align="center" valign="middle">Resource</th><th align="center">Recommended version</th><th align="center">Description</th></tr></thead><tbody><tr><td align="center" valign="middle"><a href="https://github.com/overextended/oxmysql">oxmysql</a></td><td align="center">2.12.0 or newer</td><td align="center">Our resource requires data storage, we recommend oxmysql, but if you don't want to use it data can be saved in a JSON file on the server side.</td></tr><tr><td align="center" valign="middle"><a href="https://github.com/overextended/ox_inventory/releases">ox_inventory</a></td><td align="center">2.38.1 or newer</td><td align="center">If you have ox_inventory, item icons will be downloaded automatically, if not you'll have to add them manually, see <a href="/pages/FUKmUvEoiKvDVudPgf7I">tutorials</a></td></tr><tr><td align="center" valign="middle"><a href="https://tebex.poisoncode.com/scripts/skills">pc_skills</a></td><td align="center">1.1</td><td align="center"> Using pc_skills is recommended for the best functionality. It gives an option to lock some collections until player reches given level, and awarding xp for claiming collections</td></tr><tr><td align="center" valign="middle"><a href="https://tebex.poisoncode.com/scripts/">pc_notifications</a></td><td align="center">1.0</td><td align="center">pc_notifications integration is built-in and it can be used for notifications. Remember to enable it in the config</td></tr><tr><td align="center" valign="middle">pc_ui (not released yet)</td><td align="center">(not released yet)</td><td align="center">pc_ui integration is built-in and it can be used for notifications. Remember to enable it in the config</td></tr><tr><td align="center" valign="middle"><a href="https://github.com/CommunityOx/ox_lib">ox_lib</a></td><td align="center">3.30.6 or newer</td><td align="center">ox_lib integration is built-in and it can be used for notifications.. Remember to uncomment it in the fxmanifest.lua and enable it in the config</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.poisoncode.com/group-1/copy-of-pc_collections/dependencies-and-integrations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
